Bug 607367 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox was killed by signal 6 (SIGABRT)
[abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox wa...
Status: CLOSED DUPLICATE of bug 603781
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:60492ba41a574375f97b46bd3cc...
:
: 628109 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 18:45 EDT by jeder
Modified: 2011-06-06 06:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-06 06:14:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (89.40 KB, text/plain)
2010-06-23 18:45 EDT, jeder
no flags Details

  None (edit)
Description jeder 2010-06-23 18:45:14 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/firefox-3.6/firefox
global_uuid: 60492ba41a574375f97b46bd3cc94f1b5f2862e2
kernel: 2.6.33.5-112.fc13.i686.PAE
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 jeder 2010-06-23 18:45:19 EDT
Created attachment 426408 [details]
File: backtrace
Comment 2 Jan Becker 2010-06-24 03:55:59 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. started a download (I think, a second one was still active)
2. firefox crashed in this moment
3.
Comment 3 jackonweb 2010-06-25 00:25:24 EDT
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.save pdf file
2.
3.
Comment 4 d. johnson 2010-08-17 14:40:44 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.


#3  <signal handler called>
No symbol table info available.
#4  0x0045f424 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00b16d31 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = <value optimized out>
        resultvar = <value optimized out>
        pid = 13058036
        selftid = 2505
#6  0x00b1860a in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0xbff8ec58, 
            sa_sigaction = 0xbff8ec58}, sa_mask = {__val = {1747540, 
              3220761676, 11442772, 0, 3075756912, 5, 0, 1, 3075580928, 
              3077247040, 2781768, 2675019296, 134565307, 2781768, 
              2686089216, 0, 3220761612, 0, 3220761748, 4294967295, 
              3220761676, 3220761688, 2781768, 2686089216, 3075580928, 0, 
              2686089216, 1783736, 3220761760, 4, 2673371504, 3077247836}}, 
          sa_flags = 112, sa_restorer = 0xb76b1040}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#7  0x00209264 in IA__g_assertion_message (domain=0x3c8f7f7 "Gtk", 
    file=0x3ca5db5 "gtkfilesystemmodel.c", line=746, 
    func=0x3ca6044 "gtk_file_system_model_sort", 
    message=<value optimized out>) at gtestutils.c:1318
        lstr = "746\000\346\327\230\231\273\346$\000\304\217\256\000\357\333\227\003\005\000\000\000d\355\370\277\325\207\255"
        s = 0x9f5866d0 "Gtk:ERROR:gtkfilesystemmodel.c:746:gtk_file_system_model_sort: assertion failed: (r == n_visible_rows)"
#8  0x0020980e in IA__g_assertion_message_expr (domain=0x3c8f7f7 "Gtk", 
    file=0x3ca5db5 "gtkfilesystemmodel.c", line=746, 
    func=0x3ca6044 "gtk_file_system_model_sort", 
    expr=0x3ca5e13 "r == n_visible_rows") at gtestutils.c:1329
        s = 0x9998d7c0 "assertion failed: (r == n_visible_rows)"
#9  0x03a5513f in gtk_file_system_model_sort (model=<value optimized out>)
    at gtkfilesystemmodel.c:727
        path = <value optimized out>
        i = <value optimized out>
        r = <value optimized out>
        n_visible_rows = <value optimized out>
        data = {model = 0x9f3c4660, func = 0x3a3aac0 <mtime_sort_func>, 
          data = 0xa4049190, order = 1}
        __PRETTY_FUNCTION__ = "gtk_file_system_model_sort"
#10 0x03a565be in _gtk_file_system_model_update_file (model=0x9f3c4660, 




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Karel Klíč 2010-11-08 13:07:15 EST
*** Bug 628109 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2011-06-01 11:45:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Michael Schwendt 2011-06-06 06:14:07 EDT

*** This bug has been marked as a duplicate of bug 603781 ***

Note You need to log in before you can comment on or make changes to this bug.